package com.tzld.crawler.etl.common.enums;

/**
 * 异常
 *
 * @author supeng
 * @date 2020/08/31
 */
public enum ExceptionEnum {

    SYSTEM_ERROR(1000, "系统错误"),
    DATA_ERROR(1001, "数据异常,请联系管理员"),
    PARAM_ERROR(1002, "参数不对"),
    INVOKE_VIDEOAPI_ERROR(1003, "调用 longvideo api 接口服务失败"),

    ;

    private final int code;
    private final String msg;

    ExceptionEnum(int code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public String getMsg() {
        return msg;
    }
}
